<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:12:39 CEST 2020 -->
<title>End2EndResultDialog</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="End2EndResultDialog";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/End2EndResultDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/m2m/ui/CompareSchedResultDialog.html" title="class in org.polarsys.chess.m2m.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/m2m/ui/SchedResultDialog.html" title="class in org.polarsys.chess.m2m.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/m2m/ui/End2EndResultDialog.html" target="_top">Frames</a></li>
<li><a href="End2EndResultDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.jface.window.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.jface.dialogs.Dialog">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.m2m.ui</div>
<h2 title="Class End2EndResultDialog" class="title">Class End2EndResultDialog</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.jface.window.Window</li>
<li>
<ul class="inheritance">
<li>org.eclipse.jface.dialogs.Dialog</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.m2m.ui.End2EndResultDialog</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.jface.window.IShellProvider</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">End2EndResultDialog</span>
extends org.eclipse.jface.dialogs.Dialog</pre>
<div class="block">The Class End2EndResultDialog.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>org.eclipse.jface.window.Window.IExceptionHandler</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.jface.dialogs.Dialog">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.jface.dialogs.Dialog</h3>
<code>blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>CANCEL, OK</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#End2EndResultDialog-org.eclipse.swt.widgets.Shell-org.eclipse.uml2.uml.Model-">End2EndResultDialog</a></span>(org.eclipse.swt.widgets.Shell&nbsp;parentShell,
                   org.eclipse.uml2.uml.Model&nbsp;model)</code>
<div class="block">Instantiates a new end 2 end result dialog.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.List&lt;org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.Assign&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#getAssigns--">getAssigns</a></span>()</code>
<div class="block">Gets the assigns.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.CH_HwProcessor&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#getCpus--">getCpus</a></span>()</code>
<div class="block">Gets the cpus.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;org.eclipse.uml2.uml.Operation&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#getMessages--">getMessages</a></span>()</code>
<div class="block">Gets the messages.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaAnalysisContext</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#getSaAnalysisCtx--">getSaAnalysisCtx</a></span>()</code>
<div class="block">Gets the sa analysis ctx.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaEndtoEndFlow</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#getSaE2EFlow--">getSaE2EFlow</a></span>()</code>
<div class="block">Gets the sa E 2 E flow.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.CHRtPortSlot&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#getSpecifications--">getSpecifications</a></span>()</code>
<div class="block">Gets the specifications.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#setAssigns-java.util.List-">setAssigns</a></span>(java.util.List&lt;org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.Assign&gt;&nbsp;assigns)</code>
<div class="block">Sets the assigns.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#setCpus-java.util.List-">setCpus</a></span>(java.util.List&lt;org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.CH_HwProcessor&gt;&nbsp;cpus)</code>
<div class="block">Sets the cpus.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#setMessages-java.util.List-">setMessages</a></span>(java.util.List&lt;org.eclipse.uml2.uml.Operation&gt;&nbsp;messages)</code>
<div class="block">Sets the messages.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#setSaAnalysisCtx-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaAnalysisContext-">setSaAnalysisCtx</a></span>(org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaAnalysisContext&nbsp;saAnalysisCtx)</code>
<div class="block">Sets the sa analysis ctx.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#setSaE2EFlow-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaEndtoEndFlow-">setSaE2EFlow</a></span>(org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaEndtoEndFlow&nbsp;saE2EFlow)</code>
<div class="block">Sets the sa E 2 E flow.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/polarsys/chess/m2m/ui/End2EndResultDialog.html#setSpecifications-java.util.List-">setSpecifications</a></span>(java.util.List&lt;org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.CHRtPortSlot&gt;&nbsp;specifications)</code>
<div class="block">Sets the specifications.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.jface.dialogs.Dialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.jface.dialogs.Dialog</h3>
<code>applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.jface.window.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.jface.window.Window</h3>
<code>getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="End2EndResultDialog-org.eclipse.swt.widgets.Shell-org.eclipse.uml2.uml.Model-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>End2EndResultDialog</h4>
<pre>public&nbsp;End2EndResultDialog(org.eclipse.swt.widgets.Shell&nbsp;parentShell,
                           org.eclipse.uml2.uml.Model&nbsp;model)</pre>
<div class="block">Instantiates a new end 2 end result dialog.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parentShell</code> - the parent shell</dd>
<dd><code>model</code> - the model</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCpus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCpus</h4>
<pre>public&nbsp;java.util.List&lt;org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.CH_HwProcessor&gt;&nbsp;getCpus()</pre>
<div class="block">Gets the cpus.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cpus</dd>
</dl>
</li>
</ul>
<a name="setCpus-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCpus</h4>
<pre>public&nbsp;void&nbsp;setCpus(java.util.List&lt;org.polarsys.chess.chessmlprofile.Predictability.DeploymentConfiguration.HardwareBaseline.CH_HwProcessor&gt;&nbsp;cpus)</pre>
<div class="block">Sets the cpus.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cpus</code> - the new cpus</dd>
</dl>
</li>
</ul>
<a name="getSpecifications--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecifications</h4>
<pre>public&nbsp;java.util.List&lt;org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.CHRtPortSlot&gt;&nbsp;getSpecifications()</pre>
<div class="block">Gets the specifications.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the specifications</dd>
</dl>
</li>
</ul>
<a name="setSpecifications-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSpecifications</h4>
<pre>public&nbsp;void&nbsp;setSpecifications(java.util.List&lt;org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.CHRtPortSlot&gt;&nbsp;specifications)</pre>
<div class="block">Sets the specifications.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>specifications</code> - the new specifications</dd>
</dl>
</li>
</ul>
<a name="getSaAnalysisCtx--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaAnalysisCtx</h4>
<pre>public&nbsp;org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaAnalysisContext&nbsp;getSaAnalysisCtx()</pre>
<div class="block">Gets the sa analysis ctx.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the sa analysis ctx</dd>
</dl>
</li>
</ul>
<a name="setSaAnalysisCtx-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaAnalysisContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSaAnalysisCtx</h4>
<pre>public&nbsp;void&nbsp;setSaAnalysisCtx(org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaAnalysisContext&nbsp;saAnalysisCtx)</pre>
<div class="block">Sets the sa analysis ctx.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>saAnalysisCtx</code> - the new sa analysis ctx</dd>
</dl>
</li>
</ul>
<a name="getSaE2EFlow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaE2EFlow</h4>
<pre>public&nbsp;org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaEndtoEndFlow&nbsp;getSaE2EFlow()</pre>
<div class="block">Gets the sa E 2 E flow.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the sa E 2 E flow</dd>
</dl>
</li>
</ul>
<a name="setSaE2EFlow-org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaEndtoEndFlow-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSaE2EFlow</h4>
<pre>public&nbsp;void&nbsp;setSaE2EFlow(org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.SAM.SaEndtoEndFlow&nbsp;saE2EFlow)</pre>
<div class="block">Sets the sa E 2 E flow.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>saE2EFlow</code> - the new sa E 2 E flow</dd>
</dl>
</li>
</ul>
<a name="getMessages--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessages</h4>
<pre>public&nbsp;java.util.List&lt;org.eclipse.uml2.uml.Operation&gt;&nbsp;getMessages()</pre>
<div class="block">Gets the messages.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the messages</dd>
</dl>
</li>
</ul>
<a name="setMessages-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMessages</h4>
<pre>public&nbsp;void&nbsp;setMessages(java.util.List&lt;org.eclipse.uml2.uml.Operation&gt;&nbsp;messages)</pre>
<div class="block">Sets the messages.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>messages</code> - the new messages</dd>
</dl>
</li>
</ul>
<a name="getAssigns--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssigns</h4>
<pre>public&nbsp;java.util.List&lt;org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.Assign&gt;&nbsp;getAssigns()</pre>
<div class="block">Gets the assigns.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the assigns</dd>
</dl>
</li>
</ul>
<a name="setAssigns-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAssigns</h4>
<pre>public&nbsp;void&nbsp;setAssigns(java.util.List&lt;org.eclipse.papyrus.MARTE.MARTE_Foundations.Alloc.Assign&gt;&nbsp;assigns)</pre>
<div class="block">Sets the assigns.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>assigns</code> - the new assigns</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/End2EndResultDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/polarsys/chess/m2m/ui/CompareSchedResultDialog.html" title="class in org.polarsys.chess.m2m.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/polarsys/chess/m2m/ui/SchedResultDialog.html" title="class in org.polarsys.chess.m2m.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/polarsys/chess/m2m/ui/End2EndResultDialog.html" target="_top">Frames</a></li>
<li><a href="End2EndResultDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.jface.window.Window">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.jface.dialogs.Dialog">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
